com.singularsys.jep.misc.nullwrapper.functions

## Class NullWrappedIf

- java.lang.Object
- - com.singularsys.jep.functions.PostfixMathCommand
  - - com.singularsys.jep.functions.If
    - - com.singularsys.jep.misc.nullwrapper.functions.NullWrappedIf

- All Implemented Interfaces:
    CallbackEvaluationI, NullWrappedFunctionI, PostfixMathCommandI, java.io.Serializable

      public class NullWrappedIf
      extends If
      implements NullWrappedFunctionI

  NullWrapped version of the if function. If the first argument is null then null is returned otherwise results are the same as the standard if function.
  Since:
    3.4
  Author:
    Richard Morris
  See Also:
    `If`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.singularsys.jep.functions.If

      `falseValue`

    - ### Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `curNumberOfParameters, name, NaN, numberOfParameters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullWrappedIf()`
    `NullWrappedIf(java.lang.Object falseValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `evaluate(Node node, Evaluator pv)` Performs some special evaluation on the node.
    `PostfixMathCommandI` | `getRoot()` Get to function which this function wraps.

    - ### Methods inherited from class com.singularsys.jep.functions.If

      `checkNumberOfParameters, getFalseValue`

    - ### Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand

      `asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, getName, getNumberOfParameters, run, setCurNumberOfParameters, setName, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NullWrappedIf

          public NullWrappedIf()

    - #### NullWrappedIf

          public NullWrappedIf(java.lang.Object falseValue)

      Parameters:
        `falseValue` -

  - ### Method Detail

    - #### getRoot

          public PostfixMathCommandI getRoot()

      Description copied from interface: `NullWrappedFunctionI`
      Get to function which this function wraps.
      Specified by:
        `getRoot` in interface `NullWrappedFunctionI`
      Returns:
        the root function, may be "this".

    - #### evaluate

          public java.lang.Object evaluate(Node node,
                                           Evaluator pv)
                                    throws EvaluationException

      Description copied from interface: `CallbackEvaluationI`
      Performs some special evaluation on the node. This method has the responsibility for evaluating the children of the node and it should generally call

           pv.eval(node.jjtGetChild(i))

      for each child. The SymbolTable is not passed as an argument. This is because it is better practice to get and set variable values by using node.getVar().setValue() rather that through the SymbolTable with requires a hashtable lookup.
      Specified by:
        `evaluate` in interface `CallbackEvaluationI`
      Overrides:
        `evaluate` in class `If`
      Parameters:
        `node` - The current node
        `pv` - The visitor, can be used evaluate the children
      Returns:
        the value after evaluation. This value will be passed to other functions higher up the node tree. The value can be any type including Double or Vector<Object>
      Throws:
        `EvaluationException` - if the calculation cannot be performed
      See Also:
        `Evaluator`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep